package com.tarena.oss.pricing.service;

import java.util.Collection;

import com.tarena.oss.pricing.pojo.Pricing;
import com.tarena.oss.pricing.pojo.PricingCondDTO;

public interface PricingMgmtService {
	void addPricing(Pricing p);
	void modifyPricing(Pricing p);
	void removePricing(Pricing p);
	Collection<Pricing> findPricings();
	Collection<Pricing> findPricings(PricingCondDTO dto);
	Pricing findPricing(Integer id);
	Collection<Pricing> findPricings(int currentPage);
	Collection<Pricing> findPricings(PricingCondDTO dto, int currentPage);
	int findPricingCnts();
	int findPricingCntsByCond(PricingCondDTO dto);
}
